signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Static Public Member Functions | Friends | List of all members
SignonDaemonNS::SignonDaemon Class Reference

Daemon core. More...

`#include <signondaemon.h>`

Inheritance diagram for SignonDaemonNS::SignonDaemon:
[legend]
Collaboration diagram for SignonDaemonNS::SignonDaemon:
[legend]

## Public Slots
uchar | backupStarts ()
uchar | backupFinished ()
uchar | restoreStarts ()
uchar | restoreFinished ()

## Public Member Functions
virtual | ~SignonDaemon ()
Q_INVOKABLE void | init ()
int | identityTimeout () const
| Returns the number of seconds of inactivity after which identity objects might be automatically deleted. More...
int | authSessionTimeout () const
QObject * | registerNewIdentity ()
QObject * | getIdentity (const quint32 id, QVariantMap &identityData)
QObject * | getAuthSession (const quint32 id, const QString type, pid_t ownerPid)
QStringList | queryMethods ()
QStringList | queryMechanisms (const QString &method)
QList< QVariantMap > | queryIdentities (const QVariantMap &filter)
bool | clear ()
QString | lastErrorName () const
QString | lastErrorMessage () const
bool | lastErrorIsValid () const
Q_INVOKABLE void | handleUnixSignal ()

## Static Public Member Functions
static SignonDaemon * | instance ()
static void | signalHandler (int signal)

## Friends
class | SignonSessionCore
class | SignonDaemonAdaptor

## Detailed Description

Daemon core.

Todo:
  description.

Definition at line 105 of file signondaemon.h.

## Constructor & Destructor Documentation

SignonDaemonNS::SignonDaemon::~SignonDaemon | ( |  | ) |
| virtual

Definition at line 265 of file signondaemon.cpp.

## Member Function Documentation

int SignonDaemonNS::SignonDaemon::authSessionTimeout | ( |  | ) | const

Definition at line 610 of file signondaemon.cpp.

Referenced by SignonDaemonNS::SignonSessionCore::sessionCore().

uchar SignonDaemonNS::SignonDaemon::backupFinished | ( |  | ) |
| slot

Definition at line 975 of file signondaemon.cpp.

References TRACE.

uchar SignonDaemonNS::SignonDaemon::backupStarts | ( |  | ) |
| slot

Definition at line 928 of file signondaemon.cpp.

References SignonDaemonNS::CAMConfiguration::m_dbName, and TRACE.

bool SignonDaemonNS::SignonDaemon::clear | ( |  | ) |

Definition at line 742 of file signondaemon.cpp.

References SignonDaemonNS::CredentialsDB::clear(), SignonDaemonNS::CredentialsDB::lastError(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, and TRACE.

Referenced by SignonDaemonNS::SignonDaemonAdaptor::clear().

QObject * SignonDaemonNS::SignonDaemon::getAuthSession | ( | const quint32 | id,
|  | const QString | type,
|  | pid_t | ownerPid
| ) |  |

Definition at line 764 of file signondaemon.cpp.

Referenced by SignonDaemonNS::SignonDaemonAdaptor::getAuthSessionObjectPath().

QObject * SignonDaemonNS::SignonDaemon::getIdentity | ( | const quint32 | id,
|  | QVariantMap & | identityData
| ) |  |

Definition at line 617 of file signondaemon.cpp.

References SignonDaemonNS::SignonIdentity::destroy(), SignonDaemonNS::SignonIdentityInfo::isNew(), SignonDaemonNS::SignonDisposable::keepInUse(), SignonDaemonNS::SignonIdentity::queryInfo(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, SignonDaemonNS::SignonIdentityInfo::toMap(), and TRACE.

Referenced by SignonDaemonNS::SignonDaemonAdaptor::getIdentity().

void SignonDaemonNS::SignonDaemon::handleUnixSignal | ( |  | ) |

Definition at line 317 of file signondaemon.cpp.

References TRACE.

int SignonDaemonNS::SignonDaemon::identityTimeout | ( |  | ) | const

Returns the number of seconds of inactivity after which identity objects might be automatically deleted.

Definition at line 603 of file signondaemon.cpp.

Referenced by SignonDaemonNS::SignonIdentity::createIdentity().

void SignonDaemonNS::SignonDaemon::init | ( |  | ) |

Definition at line 380 of file signondaemon.cpp.

References BLAME, and TRACE.

SignonDaemon * SignonDaemonNS::SignonDaemon::instance | ( |  | ) |
| static

Definition at line 364 of file signondaemon.cpp.

References TRACE.

Referenced by main().

bool SignonDaemonNS::SignonDaemon::lastErrorIsValid | ( |  | ) | const
| inline

Definition at line 138 of file signondaemon.h.

QString SignonDaemonNS::SignonDaemon::lastErrorMessage | ( |  | ) | const
| inline

Definition at line 137 of file signondaemon.h.

QString SignonDaemonNS::SignonDaemon::lastErrorName | ( |  | ) | const
| inline

Definition at line 136 of file signondaemon.h.

QList< QVariantMap > SignonDaemonNS::SignonDaemon::queryIdentities | ( | const QVariantMap & | filter | ) |

Definition at line 705 of file signondaemon.cpp.

References SignonDaemonNS::CredentialsDB::credentials(), SignonDaemonNS::CredentialsDB::errorOccurred(), SignonDaemonNS::internalServerErrName, SignonDaemonNS::internalServerErrStr, SignonDaemonNS::CredentialsDB::lastError(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, SignonDaemonNS::SignonIdentityInfo::toMap(), and TRACE.

Referenced by SignonDaemonNS::SignonDaemonAdaptor::queryIdentities().

QStringList SignonDaemonNS::SignonDaemon::queryMechanisms | ( | const QString & | method | ) |

Definition at line 676 of file signondaemon.cpp.

References SignonDaemonNS::PluginProxy::mechanisms(), and TRACE.

Referenced by SignonDaemonNS::SignonDaemonAdaptor::queryMechanisms().

QStringList SignonDaemonNS::SignonDaemon::queryMethods | ( |  | ) |

Definition at line 654 of file signondaemon.cpp.

Referenced by SignonDaemonNS::SignonDaemonAdaptor::queryMethods().

QObject * SignonDaemonNS::SignonDaemon::registerNewIdentity | ( |  | ) |

Definition at line 588 of file signondaemon.cpp.

References TRACE.

Referenced by SignonDaemonNS::SignonDaemonAdaptor::registerNewIdentity().

uchar SignonDaemonNS::SignonDaemon::restoreFinished | ( |  | ) |
| slot

Definition at line 1000 of file signondaemon.cpp.

References SignonDaemonNS::CAMConfiguration::m_dbName, and TRACE.

uchar SignonDaemonNS::SignonDaemon::restoreStarts | ( |  | ) |
| slot

Definition at line 994 of file signondaemon.cpp.

References TRACE.

void SignonDaemonNS::SignonDaemon::signalHandler | ( | int | signal | ) |
| static

Definition at line 311 of file signondaemon.cpp.

Referenced by installSigHandlers().

## Friends And Related Function Documentation

friend class SignonDaemonAdaptor
| friend

Definition at line 110 of file signondaemon.h.

friend class SignonSessionCore
| friend

Definition at line 109 of file signondaemon.h.

The documentation for this class was generated from the following files:

- src/signond/signondaemon.h
- src/signond/signondaemon.cpp